#!/usr/bin/env python
#
# setup.py for WIRE

from distutils.core import setup, Extension

import os
import re

def get_libs(cmdline):
    s = os.popen(cmdline).read()
    return re.findall(r'-l(\w+)', s)

def get_includes(cmdline):
    s = os.popen(cmdline).read()
    return re.findall(r'-I([\w/]+)', s)

module1 = Extension('_Wire',
                    sources = ['Wire.i'],
                    include_dirs = get_includes("xml2-config --cflags"),
                    libraries = [] + get_libs('xml2-config --libs') + ['wire', 'univchardet', 'stdc++'])
                    

setup(
    name = "Wire",
    version = "0.20",
    py_modules = ['Wire'],
    description = "Wrapper for WIRE, an implementation of Web crawler",
    ext_modules = [module1,])


